org.apache.commons.math

## Class MathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException

All Implemented Interfaces:
  java.io.Serializable, MathThrowable

Direct Known Subclasses:
  CardanEulerSingularityException, ConvergenceException, DerivativeException, DimensionMismatchException, DuplicateSampleAbscissaException, EstimationException, EventException, FunctionEvaluationException, IntegratorException, MathConfigurationException, NotARotationMatrixException, NotPositiveDefiniteMatrixException, NotSymmetricMatrixException

    public class MathException
    extends java.lang.Exception
    implements MathThrowable

Base class for commons-math checked exceptions.

Supports nesting, emulating JDK 1.4 behavior if necessary.

Adapted from .

Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $
See Also:
  Serialized Form

### Field Summary

Fields
`private java.lang.Object[]` `arguments` Arguments used to build the message.
`private Localizable` `pattern` Pattern used to build the message.
`private static long` `serialVersionUID` Serializable version identifier.

### Constructor Summary

Constructors
Constructor and Description
`MathException()` Constructs a new `MathException` with no detail message.
`MathException(Localizable pattern, java.lang.Object... arguments)` Constructs a new `MathException` with specified formatted detail message.
`MathException(java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `MathException(Localizable, Object...)`
`MathException(java.lang.Throwable rootCause)` Constructs a new `MathException` with specified nested `Throwable` root cause.
`MathException(java.lang.Throwable rootCause, Localizable pattern, java.lang.Object... arguments)` Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause.
`MathException(java.lang.Throwable rootCause, java.lang.String pattern, java.lang.Object... arguments)` Deprecated. as of 2.2 replaced by `MathException(Throwable, Localizable, Object...)`

### Method Summary

Methods
`java.lang.Object[]` `getArguments()` Gets the arguments used to build the message of this throwable.
`Localizable` `getGeneralPattern()` Gets the localizable pattern used to build the general part of the message of this throwable.
`java.lang.String` `getLocalizedMessage()` Gets the message in the system default locale.
`java.lang.String` `getMessage()` Gets the message in a conventional US locale.
`java.lang.String` `getMessage(java.util.Locale locale)` Gets the message in a specified locale.
`java.lang.String` `getPattern()` Deprecated. as of 2.2 replaced by `getSpecificPattern()` and `getGeneralPattern()`
`Localizable` `getSpecificPattern()` Gets the localizable pattern used to build the specific part of the message of this throwable.
`void` `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` `printStackTrace(java.io.PrintStream out)` Prints the stack trace of this exception to the specified stream.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier.

See Also:
  Constant Field Values

#### pattern

    private final Localizable pattern

Pattern used to build the message.

#### arguments

    private final java.lang.Object[] arguments

Arguments used to build the message.

### Constructor Detail

#### MathException

    public MathException()

Constructs a new `MathException` with no detail message.

#### MathException

    @Deprecated
    public MathException(java.lang.String pattern,
                            java.lang.Object... arguments)

Deprecated. as of 2.2 replaced by `MathException(Localizable, Object...)`
Constructs a new `MathException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

Parameters:
  `pattern` - format specifier
  `arguments` - format arguments

#### MathException

    public MathException(Localizable pattern,
                 java.lang.Object... arguments)

Constructs a new `MathException` with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

Parameters:
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  2.2

#### MathException

    public MathException(java.lang.Throwable rootCause)

Constructs a new `MathException` with specified nested `Throwable` root cause.

Parameters:
  `rootCause` - the exception or error that caused this exception to be thrown.

#### MathException

    @Deprecated
    public MathException(java.lang.Throwable rootCause,
                            java.lang.String pattern,
                            java.lang.Object... arguments)

Deprecated. as of 2.2 replaced by `MathException(Throwable, Localizable, Object...)`
Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.

Parameters:
  `rootCause` - the exception or error that caused this exception to be thrown.
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  1.2

#### MathException

    public MathException(java.lang.Throwable rootCause,
                 Localizable pattern,
                 java.lang.Object... arguments)

Constructs a new `MathException` with specified formatted detail message and nested `Throwable` root cause. Message formatting is delegated to `MessageFormat`.

Parameters:
  `rootCause` - the exception or error that caused this exception to be thrown.
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  2.2

### Method Detail

#### getPattern

    @Deprecated
    public java.lang.String getPattern()

Deprecated. as of 2.2 replaced by `getSpecificPattern()` and `getGeneralPattern()`
Gets the pattern used to build the message of this throwable.

Returns:
  the pattern used to build the message of this throwable
Since:
  1.2

#### getSpecificPattern

    public Localizable getSpecificPattern()

Gets the localizable pattern used to build the specific part of the message of this throwable.

Specified by:
  `getSpecificPattern` in interface `MathThrowable`
Returns:
  localizable pattern used to build the specific part of the message of this throwable
Since:
  2.2

#### getGeneralPattern

    public Localizable getGeneralPattern()

Gets the localizable pattern used to build the general part of the message of this throwable.

Specified by:
  `getGeneralPattern` in interface `MathThrowable`
Returns:
  localizable pattern used to build the general part of the message of this throwable
Since:
  2.2

#### getArguments

    public java.lang.Object[] getArguments()

Gets the arguments used to build the message of this throwable.

Specified by:
  `getArguments` in interface `MathThrowable`
Returns:
  the arguments used to build the message of this throwable

#### getMessage

    public java.lang.String getMessage(java.util.Locale locale)

Gets the message in a specified locale.

Specified by:
  `getMessage` in interface `MathThrowable`
Parameters:
  `locale` - Locale in which the message should be translated
Returns:
  localized message
Since:
  1.2

#### getMessage

    public java.lang.String getMessage()

Gets the message in a conventional US locale.

Specified by:
  `getMessage` in interface `MathThrowable`
Overrides:
  `getMessage` in class `java.lang.Throwable`
Returns:
  localized message

#### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

Gets the message in the system default locale.

Specified by:
  `getLocalizedMessage` in interface `MathThrowable`
Overrides:
  `getLocalizedMessage` in class `java.lang.Throwable`
Returns:
  localized message

#### printStackTrace

    public void printStackTrace()

Prints the stack trace of this exception to the standard error stream.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

Prints the stack trace of this exception to the specified stream.

Overrides:
  `printStackTrace` in class `java.lang.Throwable`
Parameters:
  `out` - the `PrintStream` to use for output